<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1" charset="UTF-8">
    <title>ButtonActionSX</title>
    <link href="../../../../images/logo-icon.svg" rel="icon" type="image/svg">
    <script>var pathToRoot = "../../../../";</script>
    <script>const storage = localStorage.getItem("dokka-dark-mode")
    if (storage == null) {
        const osDarkSchemePreferred = window.matchMedia && window.matchMedia('(prefers-color-scheme: dark)').matches
        if (osDarkSchemePreferred === true) {
            document.getElementsByTagName("html")[0].classList.add("theme-dark")
        }
    } else {
        const savedDarkMode = JSON.parse(storage)
        if(savedDarkMode === true) {
            document.getElementsByTagName("html")[0].classList.add("theme-dark")
        }
    }
    </script>
<script type="text/javascript" src="../../../../scripts/sourceset_dependencies.js" async="async"></script>
<link href="../../../../styles/style.css" rel="Stylesheet">
<link href="../../../../styles/jetbrains-mono.css" rel="Stylesheet">
<link href="../../../../styles/main.css" rel="Stylesheet">
<link href="../../../../styles/prism.css" rel="Stylesheet">
<link href="../../../../styles/logo-styles.css" rel="Stylesheet">
<script type="text/javascript" src="../../../../scripts/clipboard.js" async="async"></script>
<script type="text/javascript" src="../../../../scripts/navigation-loader.js" async="async"></script>
<script type="text/javascript" src="../../../../scripts/platform-content-handler.js" async="async"></script>
<script type="text/javascript" src="../../../../scripts/main.js" defer="defer"></script>
<script type="text/javascript" src="../../../../scripts/prism.js" async="async"></script>
<script type="text/javascript" src="../../../../scripts/symbol-parameters-wrapper_deferred.js" defer="defer"></script>
</head>
<body>
<div class="navigation-wrapper" id="navigation-wrapper">
    <div id="leftToggler"><span class="icon-toggler"></span></div>
    <div class="library-name">
            <a href="../../../../index.html">
                    <span>bluconnect</span>
            </a>
    </div>
    <div>
    </div>
    <div class="pull-right d-flex">
        <div class="filter-section" id="filter-section">
                <button class="platform-tag platform-selector jvm-like" data-active="" data-filter=":bluconnect:dokkaHtml/release">androidJvm</button>
        </div>
        <button id="theme-toggle-button"><span id="theme-toggle"></span></button>
        <div id="searchBar"></div>
    </div>
</div>
<div id="container">
    <div id="leftColumn">
        <div id="sideMenu"></div>
    </div>
    <div id="main">
<div class="main-content" data-page-type="classlike" id="content" pageIds="bluconnect::com.aptener.bluconnect.device.sxcontrol/ButtonClickSX.ButtonActionSX///PointingToDeclaration//-1410038383">
  <div class="breadcrumbs"><a href="../../../../index.html">bluconnect</a><span class="delimiter">/</span><a href="../../index.html">com.aptener.bluconnect.device.sxcontrol</a><span class="delimiter">/</span><a href="../index.html">ButtonClickSX</a><span class="delimiter">/</span><span class="current">ButtonActionSX</span></div>
  <div class="cover ">
    <h1 class="cover"><span>Button</span><wbr></wbr><span>Action</span><wbr></wbr><span><span>SX</span></span></h1>
    <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">sealed </span><span class="token keyword">class </span><a href="index.html">ButtonActionSX</a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">value<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html">Int</a><span class="token punctuation">, </span></span><span class="parameter "><span class="token keyword">val </span>time<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html">Long</a></span></span><span class="token punctuation">)</span></div><h4 class="">Parameters</h4><div class="table"><div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release"><div class="main-subrow keyValue "><div class=""><span class="inline-flex"><div><u><span><span>time</span></span></u></div></span></div><div><div class="title"><p class="paragraph">epoc time in millisecond when event was received over BLE</p></div></div></div></div></div><h4 class="">Inheritors</h4><div class="table"><div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release"><div class="main-subrow keyValue "><div class=""><span class="inline-flex"><div><a href="-main-single-click/index.html">MainSingleClick</a></div></span></div><div></div></div></div><div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release"><div class="main-subrow keyValue "><div class=""><span class="inline-flex"><div><a href="-main-double-click/index.html">MainDoubleClick</a></div></span></div><div></div></div></div><div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release"><div class="main-subrow keyValue "><div class=""><span class="inline-flex"><div><a href="-main-long-click/index.html">MainLongClick</a></div></span></div><div></div></div></div><div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release"><div class="main-subrow keyValue "><div class=""><span class="inline-flex"><div><a href="-positive-single-click/index.html">PositiveSingleClick</a></div></span></div><div></div></div></div><div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release"><div class="main-subrow keyValue "><div class=""><span class="inline-flex"><div><a href="-positive-double-click/index.html">PositiveDoubleClick</a></div></span></div><div></div></div></div><div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release"><div class="main-subrow keyValue "><div class=""><span class="inline-flex"><div><a href="-positive-long-click/index.html">PositiveLongClick</a></div></span></div><div></div></div></div><div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release"><div class="main-subrow keyValue "><div class=""><span class="inline-flex"><div><a href="-negative-single-click/index.html">NegativeSingleClick</a></div></span></div><div></div></div></div><div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release"><div class="main-subrow keyValue "><div class=""><span class="inline-flex"><div><a href="-negative-double-click/index.html">NegativeDoubleClick</a></div></span></div><div></div></div></div><div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release"><div class="main-subrow keyValue "><div class=""><span class="inline-flex"><div><a href="-negative-long-click/index.html">NegativeLongClick</a></div></span></div><div></div></div></div><div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release"><div class="main-subrow keyValue "><div class=""><span class="inline-flex"><div><a href="-main-plus-positive-single-click/index.html">MainPlusPositiveSingleClick</a></div></span></div><div></div></div></div><div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release"><div class="main-subrow keyValue "><div class=""><span class="inline-flex"><div><a href="-main-plus-negative-single-click/index.html">MainPlusNegativeSingleClick</a></div></span></div><div></div></div></div><div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release"><div class="main-subrow keyValue "><div class=""><span class="inline-flex"><div><a href="-positive-plus-negative-single-click/index.html">PositivePlusNegativeSingleClick</a></div></span></div><div></div></div></div><div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release"><div class="main-subrow keyValue "><div class=""><span class="inline-flex"><div><a href="-positive-plus-negative-long-click/index.html">PositivePlusNegativeLongClick</a></div></span></div><div></div></div></div><div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release"><div class="main-subrow keyValue "><div class=""><span class="inline-flex"><div><a href="-unknown/index.html">Unknown</a></div></span></div><div></div></div></div></div></div></div>
  </div>
  <div class="tabbedcontent">
    <div class="tabs-section" tabs-section="tabs-section"><button class="section-tab" data-active="" data-togglable="CONSTRUCTOR,TYPE,FUNCTION,PROPERTY">Members</button></div>
    <div class="tabs-section-body">
      <div data-togglable="CONSTRUCTOR">
        <h2 class="">Constructors</h2>
        <div class="table"><a data-name="1800828057%2FConstructors%2F-1410038383" anchor-label="ButtonActionSX" id="1800828057%2FConstructors%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-togglable="CONSTRUCTOR" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-button-action-s-x.html"><span>Button</span><wbr></wbr><span>Action</span><wbr></wbr><span><span>SX</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1800828057%2FConstructors%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">protected </span><span class="token keyword">constructor</span><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">value<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html">Int</a><span class="token punctuation">, </span></span><span class="parameter ">time<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html">Long</a></span></span><span class="token punctuation">)</span></div></div></div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div data-togglable="TYPE">
        <h2 class="">Types</h2>
        <div class="table"><a data-name="-127771949%2FClasslikes%2F-1410038383" anchor-label="Companion" id="-127771949%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-companion/index.html"><span><span>Companion</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-127771949%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">object </span><a href="-companion/index.html">Companion</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1124316897%2FClasslikes%2F-1410038383" anchor-label="MainDoubleClick" id="1124316897%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-main-double-click/index.html"><span>Main</span><wbr></wbr><span>Double</span><wbr></wbr><span><span>Click</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1124316897%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">data </span><span class="token keyword">class </span><a href="-main-double-click/index.html">MainDoubleClick</a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">_time<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html">Long</a><span class="token operator"> = </span><span class="token constant">0</span></span></span><span class="token punctuation">)</span> : <a href="index.html">ButtonClickSX.ButtonActionSX</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-611329524%2FClasslikes%2F-1410038383" anchor-label="MainLongClick" id="-611329524%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-main-long-click/index.html"><span>Main</span><wbr></wbr><span>Long</span><wbr></wbr><span><span>Click</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-611329524%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">data </span><span class="token keyword">class </span><a href="-main-long-click/index.html">MainLongClick</a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">_time<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html">Long</a><span class="token operator"> = </span><span class="token constant">0</span></span></span><span class="token punctuation">)</span> : <a href="index.html">ButtonClickSX.ButtonActionSX</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1901670183%2FClasslikes%2F-1410038383" anchor-label="MainPlusNegativeSingleClick" id="1901670183%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-main-plus-negative-single-click/index.html"><span>Main</span><wbr></wbr><span>Plus</span><wbr></wbr><span>Negative</span><wbr></wbr><span>Single</span><wbr></wbr><span><span>Click</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1901670183%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">data </span><span class="token keyword">class </span><a href="-main-plus-negative-single-click/index.html">MainPlusNegativeSingleClick</a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">_time<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html">Long</a><span class="token operator"> = </span><span class="token constant">0</span></span></span><span class="token punctuation">)</span> : <a href="index.html">ButtonClickSX.ButtonActionSX</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-1451218197%2FClasslikes%2F-1410038383" anchor-label="MainPlusPositiveSingleClick" id="-1451218197%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-main-plus-positive-single-click/index.html"><span>Main</span><wbr></wbr><span>Plus</span><wbr></wbr><span>Positive</span><wbr></wbr><span>Single</span><wbr></wbr><span><span>Click</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1451218197%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">data </span><span class="token keyword">class </span><a href="-main-plus-positive-single-click/index.html">MainPlusPositiveSingleClick</a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">_time<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html">Long</a><span class="token operator"> = </span><span class="token constant">0</span></span></span><span class="token punctuation">)</span> : <a href="index.html">ButtonClickSX.ButtonActionSX</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1929106712%2FClasslikes%2F-1410038383" anchor-label="MainSingleClick" id="1929106712%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-main-single-click/index.html"><span>Main</span><wbr></wbr><span>Single</span><wbr></wbr><span><span>Click</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1929106712%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">data </span><span class="token keyword">class </span><a href="-main-single-click/index.html">MainSingleClick</a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">_time<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html">Long</a><span class="token operator"> = </span><span class="token constant">0</span></span></span><span class="token punctuation">)</span> : <a href="index.html">ButtonClickSX.ButtonActionSX</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1833936989%2FClasslikes%2F-1410038383" anchor-label="NegativeDoubleClick" id="1833936989%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-negative-double-click/index.html"><span>Negative</span><wbr></wbr><span>Double</span><wbr></wbr><span><span>Click</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1833936989%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">data </span><span class="token keyword">class </span><a href="-negative-double-click/index.html">NegativeDoubleClick</a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">_time<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html">Long</a><span class="token operator"> = </span><span class="token constant">0</span></span></span><span class="token punctuation">)</span> : <a href="index.html">ButtonClickSX.ButtonActionSX</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1373764232%2FClasslikes%2F-1410038383" anchor-label="NegativeLongClick" id="1373764232%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-negative-long-click/index.html"><span>Negative</span><wbr></wbr><span>Long</span><wbr></wbr><span><span>Click</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1373764232%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">data </span><span class="token keyword">class </span><a href="-negative-long-click/index.html">NegativeLongClick</a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">_time<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html">Long</a><span class="token operator"> = </span><span class="token constant">0</span></span></span><span class="token punctuation">)</span> : <a href="index.html">ButtonClickSX.ButtonActionSX</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-1656240492%2FClasslikes%2F-1410038383" anchor-label="NegativeSingleClick" id="-1656240492%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-negative-single-click/index.html"><span>Negative</span><wbr></wbr><span>Single</span><wbr></wbr><span><span>Click</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1656240492%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">data </span><span class="token keyword">class </span><a href="-negative-single-click/index.html">NegativeSingleClick</a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">_time<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html">Long</a><span class="token operator"> = </span><span class="token constant">0</span></span></span><span class="token punctuation">)</span> : <a href="index.html">ButtonClickSX.ButtonActionSX</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-1518951391%2FClasslikes%2F-1410038383" anchor-label="PositiveDoubleClick" id="-1518951391%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-positive-double-click/index.html"><span>Positive</span><wbr></wbr><span>Double</span><wbr></wbr><span><span>Click</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1518951391%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">data </span><span class="token keyword">class </span><a href="-positive-double-click/index.html">PositiveDoubleClick</a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">_time<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html">Long</a><span class="token operator"> = </span><span class="token constant">0</span></span></span><span class="token punctuation">)</span> : <a href="index.html">ButtonClickSX.ButtonActionSX</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1012733772%2FClasslikes%2F-1410038383" anchor-label="PositiveLongClick" id="1012733772%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-positive-long-click/index.html"><span>Positive</span><wbr></wbr><span>Long</span><wbr></wbr><span><span>Click</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1012733772%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">data </span><span class="token keyword">class </span><a href="-positive-long-click/index.html">PositiveLongClick</a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">_time<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html">Long</a><span class="token operator"> = </span><span class="token constant">0</span></span></span><span class="token punctuation">)</span> : <a href="index.html">ButtonClickSX.ButtonActionSX</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="216385819%2FClasslikes%2F-1410038383" anchor-label="PositivePlusNegativeLongClick" id="216385819%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-positive-plus-negative-long-click/index.html"><span>Positive</span><wbr></wbr><span>Plus</span><wbr></wbr><span>Negative</span><wbr></wbr><span>Long</span><wbr></wbr><span><span>Click</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="216385819%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">data </span><span class="token keyword">class </span><a href="-positive-plus-negative-long-click/index.html">PositivePlusNegativeLongClick</a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">_time<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html">Long</a><span class="token operator"> = </span><span class="token constant">0</span></span></span><span class="token punctuation">)</span> : <a href="index.html">ButtonClickSX.ButtonActionSX</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-1500365721%2FClasslikes%2F-1410038383" anchor-label="PositivePlusNegativeSingleClick" id="-1500365721%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-positive-plus-negative-single-click/index.html"><span>Positive</span><wbr></wbr><span>Plus</span><wbr></wbr><span>Negative</span><wbr></wbr><span>Single</span><wbr></wbr><span><span>Click</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1500365721%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">data </span><span class="token keyword">class </span><a href="-positive-plus-negative-single-click/index.html">PositivePlusNegativeSingleClick</a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">_time<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html">Long</a><span class="token operator"> = </span><span class="token constant">0</span></span></span><span class="token punctuation">)</span> : <a href="index.html">ButtonClickSX.ButtonActionSX</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-714161576%2FClasslikes%2F-1410038383" anchor-label="PositiveSingleClick" id="-714161576%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-positive-single-click/index.html"><span>Positive</span><wbr></wbr><span>Single</span><wbr></wbr><span><span>Click</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-714161576%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">data </span><span class="token keyword">class </span><a href="-positive-single-click/index.html">PositiveSingleClick</a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">_time<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html">Long</a><span class="token operator"> = </span><span class="token constant">0</span></span></span><span class="token punctuation">)</span> : <a href="index.html">ButtonClickSX.ButtonActionSX</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-1813281067%2FClasslikes%2F-1410038383" anchor-label="Unknown" id="-1813281067%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-unknown/index.html"><span><span>Unknown</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1813281067%2FClasslikes%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">data </span><span class="token keyword">class </span><a href="-unknown/index.html">Unknown</a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">_time<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html">Long</a><span class="token operator"> = </span><span class="token constant">0</span></span></span><span class="token punctuation">)</span> : <a href="index.html">ButtonClickSX.ButtonActionSX</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div data-togglable="PROPERTY">
        <h2 class="">Properties</h2>
        <div class="table"><a data-name="103323233%2FProperties%2F-1410038383" anchor-label="time" id="103323233%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="time.html"><span><span>time</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="103323233%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">val </span><a href="time.html">time</a><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html">Long</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
      <div class="footer">
        <span class="go-to-top-icon"><a href="#content" id="go-to-top-link"></a></span><span>© 2023 Copyright</span><span
                class="pull-right"><span>Generated by </span><a
                href="https://github.com/Kotlin/dokka"><span>dokka</span><span class="padded-icon"></span></a></span>
      </div>
    </div>
</div>
</body>
</html>
